<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__scb__ezi2c__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_scb_ezi2c_config_t</compoundname>
    <includes local="no">cy_scb_ezi2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__scb__ezi2c__config__t_1aa3405d940eb60a40f7de1580eb391c71" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__scb__ezi2c__enums_1ga5e20e1c00a75b3467305aa839271697a">cy_en_scb_ezi2c_num_of_addr_t</ref></type>
        <definition>cy_en_scb_ezi2c_num_of_addr_t cy_stc_scb_ezi2c_config_t::numberOfAddresses</definition>
        <argsstring />
        <name>numberOfAddresses</name>
        <briefdescription>
<para>The number of supported addresses either. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="313" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="313" />
      </memberdef>
      <memberdef id="structcy__stc__scb__ezi2c__config__t_1a88d6b09d3fceb2aa9968b23b0811b667" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_scb_ezi2c_config_t::slaveAddress1</definition>
        <argsstring />
        <name>slaveAddress1</name>
        <briefdescription>
<para>The 7-bit right justified primary slave address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="316" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="316" />
      </memberdef>
      <memberdef id="structcy__stc__scb__ezi2c__config__t_1a148817489baeb7ef705e35f4e9687156" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_scb_ezi2c_config_t::slaveAddress2</definition>
        <argsstring />
        <name>slaveAddress2</name>
        <briefdescription>
<para>The 7-bit right justified secondary slave address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="319" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="319" />
      </memberdef>
      <memberdef id="structcy__stc__scb__ezi2c__config__t_1ac96d80c0b5ec65b2c1e64dc3b7fdf66b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__scb__ezi2c__enums_1ga2a4845448404203987f881e2e907feff">cy_en_scb_ezi2c_sub_addr_size_t</ref></type>
        <definition>cy_en_scb_ezi2c_sub_addr_size_t cy_stc_scb_ezi2c_config_t::subAddressSize</definition>
        <argsstring />
        <name>subAddressSize</name>
        <briefdescription>
<para>The size of the sub-address, can either be 8 or 16 bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="322" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="322" />
      </memberdef>
      <memberdef id="structcy__stc__scb__ezi2c__config__t_1a172d9a9c5ea964d7c7a8541775b0a47d" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_scb_ezi2c_config_t::enableWakeFromSleep</definition>
        <argsstring />
        <name>enableWakeFromSleep</name>
        <briefdescription>
<para>When set, the slave will wake the device from Deep Sleep on an address match (The device datasheet must be consulted to determine which SCBs support this mode) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="329" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>EZI2C slave configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="330" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="310" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="311" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__scb__ezi2c__config__t_1a172d9a9c5ea964d7c7a8541775b0a47d" virt="non-virtual"><scope>cy_stc_scb_ezi2c_config_t</scope><name>enableWakeFromSleep</name></member>
      <member prot="public" refid="structcy__stc__scb__ezi2c__config__t_1aa3405d940eb60a40f7de1580eb391c71" virt="non-virtual"><scope>cy_stc_scb_ezi2c_config_t</scope><name>numberOfAddresses</name></member>
      <member prot="public" refid="structcy__stc__scb__ezi2c__config__t_1a88d6b09d3fceb2aa9968b23b0811b667" virt="non-virtual"><scope>cy_stc_scb_ezi2c_config_t</scope><name>slaveAddress1</name></member>
      <member prot="public" refid="structcy__stc__scb__ezi2c__config__t_1a148817489baeb7ef705e35f4e9687156" virt="non-virtual"><scope>cy_stc_scb_ezi2c_config_t</scope><name>slaveAddress2</name></member>
      <member prot="public" refid="structcy__stc__scb__ezi2c__config__t_1ac96d80c0b5ec65b2c1e64dc3b7fdf66b" virt="non-virtual"><scope>cy_stc_scb_ezi2c_config_t</scope><name>subAddressSize</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>